org.apache.storm.hdfs.bolt.rotation

## Enum FileSizeRotationPolicy.Units

- java.lang.Object
- - java.lang.Enum<FileSizeRotationPolicy.Units>
  - - org.apache.storm.hdfs.bolt.rotation.FileSizeRotationPolicy.Units

- All Implemented Interfaces:
    Serializable, Comparable<FileSizeRotationPolicy.Units>
  Enclosing class:
    FileSizeRotationPolicy

      public static enum FileSizeRotationPolicy.Units
      extends Enum<FileSizeRotationPolicy.Units>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GB`
    `KB`
    `MB`
    `TB`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getByteCount()`
    `static FileSizeRotationPolicy.Units` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileSizeRotationPolicy.Units[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KB

          public static final FileSizeRotationPolicy.Units KB

    - #### MB

          public static final FileSizeRotationPolicy.Units MB

    - #### GB

          public static final FileSizeRotationPolicy.Units GB

    - #### TB

          public static final FileSizeRotationPolicy.Units TB

  - ### Method Detail

    - #### values

          public static FileSizeRotationPolicy.Units[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileSizeRotationPolicy.Units c : FileSizeRotationPolicy.Units.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileSizeRotationPolicy.Units valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getByteCount

          public long getByteCount()

Copyright © 2021 The Apache Software Foundation. All rights reserved.